/*******************************************************************************
***  This file is part of Qt Mocks.                                          ***
***                                                                          ***
***  Copyright (C) 2018, 2019, 2020, 2021                                    ***
***  John Schneiderman <Licencing _AT_ Schneiderman _DOT_ me>                ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify it ***
***  under the terms of the GNU Lesser General Public License as published   ***
***  by the Free Software Foundation, either version 3 of the License, or    ***
***  (at your option) any later version.                                     ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Lesser General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Lesser General Public License***
***  along with this program. If not, see <http://www.gnu.org/licenses/>.    ***
*******************************************************************************/
#include <QTest>
// using QTEST_MAIN

#include <qt-mocks/Mock.hpp>
// using QMOCK_MEMBER_ACCESSOR.
// using QMOCK_MEMBER_FUNCTION.
// using QMOCK_MEMBER_FUNCTION_VOID_NOARGS.


namespace qt_mocks
{
namespace tests
{

struct PureAbstract
{
	virtual void voidNoArgs() =0;
	virtual qint32 intNoArgs() =0;
	virtual void voidWithArgs(const qreal) =0;
	virtual qint32 intWithArgs(const qreal&) =0;
	virtual qint32 intWithArgs(QChar) =0;
};

struct TestMock : PureAbstract
{
	QMOCK_MEMBER_FUNCTION_VOID_NOARGS(voidNoArgs)
	QMOCK_MEMBER_ACCESSOR(qint32, intNoArgs)
	QMOCK_MEMBER_FUNCTION_VOID(voidWithArgs, const qreal)
	QMOCK_MEMBER_FUNCTION(qint32, intWithArgs, const qreal&)
	QMOCK_MEMBER_FUNCTION(qint32, intWithArgs, QChar)
};

struct MockUT : QObject
{
	Q_OBJECT

	TestMock mocked_;
};

}}

QTEST_MAIN(qt_mocks::tests::MockUT)
#include "Mock-unit-tests.moc"
